## python-ssdeep 3.4.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pythonssdeep.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pythonssdeep.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pythonssdeep"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pythonssdeep"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx>=1.2

## python-ssdeep 3.1+dfsg

=== debian/changelog ===
python-ssdeep (3.1+dfsg-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:38:23 +0000

python-ssdeep (3.1+dfsg-2build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 13 May 2017 19:07:17 +0530

python-ssdeep (3.1+dfsg-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Depend on python-cffi (Closes: #833091)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 01 Aug 2016 14:30:24 +0200

python-ssdeep (3.1+dfsg-1) unstable; urgency=low

  * Repack to remove non-free sources.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 24 Oct 2014 20:50:18 +0200

python-ssdeep (3.1-1) unstable; urgency=low

  * Initial release. (Closes: #702583)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 28 Sep 2014 13:34:35 +0200

=== debian/control ===
Source: python-ssdeep
Build-Depends: debhelper (>= 8),
               libfuzzy-dev,
               python-all-dev,
               python-cffi,
               python-setuptools,
               python-six,
               python3-all-dev,
               python3-cffi,
               python3-setuptools,
               python3-six
Section: python
Priority: optional
Maintainer: Helmut Grohne <helmut@subdivi.de>
Homepage: https://github.com/DinoTools/python-ssdeep
Standards-Version: 3.9.6
X-Python-Version: >= 2.7

Package: python-ssdeep
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-cffi
Description: Python 2.x wrapper for the ssdeep piecewise hashing tool
 This is a straightforward Python wrapper for ssdeep by Jesse Kornblum,
 which is a library for computing context triggered piecewise hashes (CTPH).
 Also called fuzzy hashes, CTPH can match inputs that have homologies.
 Such inputs have sequences of identical bytes in the same order, although
 bytes in between these sequences may be different in both content and length.
 .
 This package contains the extension built for Python 2.x.

Package: python3-ssdeep
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}, python3-cffi
Description: Python 3.x wrapper for the ssdeep piecewise hashing tool
 This is a straightforward Python wrapper for ssdeep by Jesse Kornblum,
 which is a library for computing context triggered piecewise hashes (CTPH).
 Also called fuzzy hashes, CTPH can match inputs that have homologies.
 Such inputs have sequences of identical bytes in the same order, although
 bytes in between these sequences may be different in both content and length.
 .
 This package contains the extension built for Python 3.x.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://pypi.python.org/packages/source/s/ssdeep/ssdeep-(.+)(?:\.zip|\.tar\.gz)

## python-ssdeep 3.4.1

=== debian/changelog ===
python-ssdeep (3.4.1-2) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-six using upstream commit.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 19 Feb 2025 18:13:19 +0100

python-ssdeep (3.4.1-1) unstable; urgency=medium

  * Change d/watch to github
  * New upstream version 3.4.1. (Closes: #1022526)
  * Add DPT as maintainer (Closes: #952840).
  * Drop d/patch
  * Update d/copyright
  * Remove python3-cffi for binary package dependences

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 05 Dec 2022 04:58:11 +0800

python-ssdeep (3.1+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #952840)

 -- Marcos Talau <talau@debian.org>  Sat, 12 Nov 2022 08:11:29 -0300

python-ssdeep (3.1+dfsg-3) UNRELEASED; urgency=medium

  * Acknowledge NMU.
  * Add dh-python to Build-Depends (Closes: #944942).
  * Drop left-over X-Python-Version.
  * Bump debhelper compatibility to 10.
  * Rules-Requires-Root: no.
  * Declare compliance with policy 4.4.0.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 21 Nov 2019 20:03:03 +0100

python-ssdeep (3.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938195

 -- Sandro Tosi <morph@debian.org>  Thu, 17 Oct 2019 18:12:30 -0400

=== debian/control ===
Source: python-ssdeep
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bo YU <tsu.yubo@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               libfuzzy-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-cffi,
               python3-pytest-runner,
               python3-pytest <!nocheck>
Homepage: https://github.com/DinoTools/python-ssdeep
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ssdeep.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ssdeep
Standards-Version: 4.6.1
Rules-Requires-Root: no

Package: python3-ssdeep
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: Python 3.x wrapper for the ssdeep piecewise hashing tool
 This is a straightforward Python wrapper for ssdeep by Jesse Kornblum,
 which is a library for computing context triggered piecewise hashes (CTPH).
 Also called fuzzy hashes, CTPH can match inputs that have homologies.
 Such inputs have sequences of identical bytes in the same order, although
 bytes in between these sequences may be different in both content and length.
 .
 This package contains the extension built for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

#override_dh_auto_clean:
#	rm -Rf */__pycache__ build
#	rm -f */*.py[co] ssdeep.egg-info/top_level.txt

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.rst

override_dh_installdocs:
	dh_installdocs -A README.rst

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/DinoTools/python-ssdeep.git \
refs/tags/([\d\.]+)
